@font-face{
  font-family: "Montserrat";
  src: url(./fonts/Montserrat/Montserrat-Regular.ttf);
}

body{
  font-family: "Montserrat";
  width: 100%;
  overflow-x: hidden;
}
link{
  text-decoration: none;
}
/* styling top nav bar */
header{
  top:0;
  left: 0;
  width: 100%;
  height: 6vh;
 padding: 5px 30px 5px 30px;
 padding-right: auto;
  background: #F5F5F5 0% 0% no-repeat padding-box;
  box-shadow: 0px 3px 6px #00000029;
  opacity: 1;
  display: flex;
  flex-direction: row;
  justify-content: baseline;
}

#hashedin-logo{
margin-right: 40em;

}
#courses-logo{
  margin-right: 5em;
  text-align: left;
  margin-top: 0.9em;
  font: normal normal bold 16px/19px Montserrat;
  letter-spacing: 0px;
  color: #080808;
  opacity: 1;
  text-decoration: none;
}
#myWhishList-logo{
  margin-right: 5em;
  text-align: left;
  margin-top: 0.9em;
  font: normal normal 300 16px/19px Montserrat;
  letter-spacing: 0px;
  color: #080808;
  opacity: 1;
  letter-spacing: 1px;
}
#cart-logo{
  
  margin-top: 0.6em;
padding-top: 2%;
padding-bottom: 2%;
margin-right: 5em;

opacity: 1;
}
#profile{
  margin-top: 0.6em;
}

/* styling main body */
main{
margin-left: 7%;
margin-right: 7%;
margin-top: 1.5vh;
height: 94vh;
}

#main-header{
  width: auto;
  height: 10vh;
  background-color: #080808;
  border-radius: 4px;
}

#text-main-header{
  margin-top: 1%;
  margin-bottom: 1%;
  margin-left: 1.5%;
  margin-right:0;
  padding-top: 1%;
  width: 40%;
  height: auto;
  margin-right:0;
  font-family: url("./fonts/Montserrat/Montserrat-SemiBold.ttf");
  color:white;
  text-transform: capitalize;
  display: inline-block;

}
#main-header-img{
  float: right;
  color:white;
  height: 9vh;
  width: 50%;
  margin-right: 0;
  background-image: url(./images/mask1.png);
  background-blend-mode: screen;
  
}

/* bar for filter and searcch */
#bar{
  width: 73%;
  height: 7vh;
  padding-left: 1em;
  padding-top: 2em;
  margin-right: 0px;
  float: left;
}
#display{
  text-align: center;
  width: 20%;
  float: left;
  font-family: url("./fonts/Montserrat/Montserrat-Bold.ttf");
}
#sort-btn{
float :right;
height: 4vh;
width:10em;
background-color: white;
border: 0px;
text-align: center;
}

#search-bar{
  width: 23.5%;
  height: 7vh;
  padding-left: 1em;
  padding-top: 2em;
  float: right;
}

#search-input{
  width: 100%;
  height: 2em;
  
  font-size: small;
}


/* containers */
#course-container{
width: 74%;
height: 70vh;  
float: left;
display: flex;
flex-direction: column;
}

#cart-container{

float: right; 
width: 25%;
height: 70vh;
text-align: center;
}

#cart-container >i{
  display: inline-block;
  color: #AAAAAA;
  font-size: 16px;
  line-height: 19px;
  padding-top: 5em;
  margin-top: 10%;
  overflow: auto;
}
#amount{
  float:left;
  margin-top: 5em;
  position: absolute;
  bottom: 1em;
  right: 15em;
  opacity: 1;
}
/* styling course card */
#course-card{
   width: auto;
   height: 10vh;
   padding-left: 0.5em;
   padding-top: 0.5em;
   margin-bottom: 1em;
   background: #FFFFFF 0% 0% no-repeat padding-box;
   box-shadow: 0px 3px 6px #00000029;
   border: 1px solid #F4F4F4;
   border-radius: 0px 0px 4px 4px; 
   opacity: 1;
   display:flex;
   flex-direction: row;
}
#block{
  height: 9vh;
  width: 6em;
  margin-right: 2em;
  background-color:#F2F2F2;
}
#title-block{
  height: 9vh;
  margin-right: 2em;
  font-size: small;
}
#tag{
  background-color:#E25B32;
  color: white;
  margin-right: 0.5em;
  display: inline-block;
  width:8em;
  height: 1.5em;
  font-size: small;
  text-align: center;
  border-radius: 2px;
  padding-top: 0.5em;
}
#author{
  color:#AAAAAA;
  height: 9vh;
  margin-right: 1em;
  font-size: small;
}
#price{
  height: 9vh;
  width: 5em;
  margin-right: 2em;
  color: #080808;
}
#addcart-btn{
  height: 5vh;
  width: 15em;
  background-color: #E25B32;
  color: white;
  font-size: x-small;
  text-align: center;
  border-radius: 2px;
}
button{
  outline: 0;
  
}

#cart-course-card{
  display: flex;
  flex-direction: column;
  min-height: min-content;
}
#checkout-btn{
  color:#E25B32;
  font-size: small;
  position: absolute;
  bottom: 3em;
  right: 0;
  opacity: 1;
}
#modal-container{
  position: fixed;
  top:0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: #100F10;
  z-index: 0.5;
  opacity: 0.9;
}

#modal{
  opacity: 2;
  width: 35vw;
  height: 25vh;
  position:fixed;
  z-index: 1;
  top:40vh;
  left: 33vw;
  
  text-align: center;
  background-color:#FFFFFF;
  border-radius: 1px;
}
#modal button{
 background-color: #E25B32;
 color: white;
 width: 6em;
}
#button:focus{
  border: 0;
  outline: none;
}
#amount-cart{
  float:left;
  margin-top: 5em;
  position: absolute;
  bottom: 1em;
  right: 15em;
  opacity: 1;
}
#checkout-cart{
  color: white;
  width: 90%;
  height: 4vh;
  background-color: #E25B32;
}

.form-container{
  float:right;
  margin-top: 5em;
  width: 75%;
  font-size: medium;
  font-family: url("./fonts/Montserrat/Montserrat-Light.ttf");
}
.form-container input{
  border: none;
  background-color: #F2F2F2;
}

#submit{
  float: right;
  background-color:  #E25B32 ;
  color: white;
  width: 6em;
  border-radius: 1px;
  height: 2.5em;
}
#yourself{
  width: 100%;
  height: 20vh;
  margin-bottom: 2em;
}
#place {
  height: 3.5vh;
}